import xhiveframework
from xhiveframework.cache_manager import clear_defaults_cache


def execute():
	xhiveframework.db.set_default(
		"suspend_email_queue",
		xhiveframework.db.get_default("hold_queue", "Administrator") or 0,
		parent="__default",
	)

	xhiveframework.db.delete("DefaultValue", {"defkey": "hold_queue"})
	clear_defaults_cache()
